### Signal

# EDataServerUI4 CredentialsPrompterImpl::prompt-finished

since: 3.16

#### Declaration

    void
    prompt_finished (
      ECredentialsPrompterImpl* self,
      gpointer prompt_id,
      ENamedParameters* credentials,
      gpointer user_data
    )

#### Description [src]

Emitted when a prompt of ID `prompt_id` is finished.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.16

#### Parameters

`prompt_id`

  Type: `gpointer`

  An ID of the prompt which was finished.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`credentials`

  Type: `ENamedParameters`

  Entered credentials, or `NULL` for cancelled prompts.

  The argument can be `NULL`.
  The data is owned by the caller of the function.